# Uses of Class
org.springframework.asm.AnnotationVisitor

Packages that use AnnotationVisitor
Package
Description
org.springframework.asm
Spring's repackaging of ASM 9.x (with Spring-specific patches; for internal use only).
org.springframework.cglib.transform
Spring's repackaging of the CGLIB transform package (for internal use only).

## Uses of AnnotationVisitor in org.springframework.asm

Fields in org.springframework.asm declared as AnnotationVisitor
Modifier and Type
Field
Description
`protected AnnotationVisitor`
AnnotationVisitor.`av`
The annotation visitor to which this visitor must delegate method calls.
Methods in org.springframework.asm that return AnnotationVisitor
Modifier and Type
Method
Description
`AnnotationVisitor`
AnnotationVisitor.`getDelegate()`
The annotation visitor to which this visitor must delegate method calls.
`AnnotationVisitor`
AnnotationVisitor.`visitAnnotation(String name, String descriptor)`
Visits a nested annotation value of the annotation.
`AnnotationVisitor`
ClassVisitor.`visitAnnotation(String descriptor, boolean visible)`
Visits an annotation of the class.
`final AnnotationVisitor`
ClassWriter.`visitAnnotation(String descriptor, boolean visible)`
`AnnotationVisitor`
FieldVisitor.`visitAnnotation(String descriptor, boolean visible)`
Visits an annotation of the field.
`AnnotationVisitor`
MethodVisitor.`visitAnnotation(String descriptor, boolean visible)`
Visits an annotation of this method.
`AnnotationVisitor`
RecordComponentVisitor.`visitAnnotation(String descriptor, boolean visible)`
Visits an annotation of the record component.
`AnnotationVisitor`
MethodVisitor.`visitAnnotationDefault()`
Visits the default value of this annotation interface method.
`AnnotationVisitor`
AnnotationVisitor.`visitArray(String name)`
Visits an array value of the annotation.
`AnnotationVisitor`
MethodVisitor.`visitInsnAnnotation(int typeRef, TypePath typePath, String descriptor, boolean visible)`
Visits an annotation on an instruction.
`AnnotationVisitor`
MethodVisitor.`visitLocalVariableAnnotation(int typeRef, TypePath typePath, Label[] start, Label[] end, int[] index, String descriptor, boolean visible)`
Visits an annotation on a local variable type.
`AnnotationVisitor`
MethodVisitor.`visitParameterAnnotation(int parameter, String descriptor, boolean visible)`
Visits an annotation of a parameter this method.
`AnnotationVisitor`
MethodVisitor.`visitTryCatchAnnotation(int typeRef, TypePath typePath, String descriptor, boolean visible)`
Visits an annotation on an exception handler type.
`AnnotationVisitor`
ClassVisitor.`visitTypeAnnotation(int typeRef, TypePath typePath, String descriptor, boolean visible)`
Visits an annotation on a type in the class signature.
`final AnnotationVisitor`
ClassWriter.`visitTypeAnnotation(int typeRef, TypePath typePath, String descriptor, boolean visible)`
`AnnotationVisitor`
FieldVisitor.`visitTypeAnnotation(int typeRef, TypePath typePath, String descriptor, boolean visible)`
Visits an annotation on the type of the field.
`AnnotationVisitor`
MethodVisitor.`visitTypeAnnotation(int typeRef, TypePath typePath, String descriptor, boolean visible)`
Visits an annotation on a type in the method signature.
`AnnotationVisitor`
RecordComponentVisitor.`visitTypeAnnotation(int typeRef, TypePath typePath, String descriptor, boolean visible)`
Visits an annotation on a type in the record component signature.
Constructors in org.springframework.asm with parameters of type AnnotationVisitor
Modifier
Constructor
Description
`protected`
`AnnotationVisitor(int api, AnnotationVisitor annotationVisitor)`
Constructs a new `AnnotationVisitor`.

## Uses of AnnotationVisitor in org.springframework.cglib.transform

Subclasses of AnnotationVisitor in org.springframework.cglib.transform
Modifier and Type
Class
Description
`class`
`AnnotationVisitorTee`
Methods in org.springframework.cglib.transform that return AnnotationVisitor
Modifier and Type
Method
Description
`static AnnotationVisitor`
AnnotationVisitorTee.`getInstance(AnnotationVisitor av1, AnnotationVisitor av2)`
`AnnotationVisitor`
AbstractClassFilterTransformer.`visitAnnotation(String desc, boolean visible)`
`AnnotationVisitor`
AnnotationVisitorTee.`visitAnnotation(String name, String desc)`
`AnnotationVisitor`
ClassVisitorTee.`visitAnnotation(String desc, boolean visible)`
`AnnotationVisitor`
FieldVisitorTee.`visitAnnotation(String desc, boolean visible)`
`AnnotationVisitor`
MethodVisitorTee.`visitAnnotation(String desc, boolean visible)`
`AnnotationVisitor`
MethodVisitorTee.`visitAnnotationDefault()`
`AnnotationVisitor`
AnnotationVisitorTee.`visitArray(String name)`
`AnnotationVisitor`
MethodVisitorTee.`visitInsnAnnotation(int typeRef, TypePath typePath, String desc, boolean visible)`
`AnnotationVisitor`
MethodVisitorTee.`visitLocalVariableAnnotation(int typeRef, TypePath typePath, Label[] start, Label[] end, int[] index, String desc, boolean visible)`
`AnnotationVisitor`
MethodVisitorTee.`visitParameterAnnotation(int parameter, String desc, boolean visible)`
`AnnotationVisitor`
MethodVisitorTee.`visitTryCatchAnnotation(int typeRef, TypePath typePath, String desc, boolean visible)`
`AnnotationVisitor`
ClassVisitorTee.`visitTypeAnnotation(int typeRef, TypePath typePath, String desc, boolean visible)`
`AnnotationVisitor`
FieldVisitorTee.`visitTypeAnnotation(int typeRef, TypePath typePath, String desc, boolean visible)`
`AnnotationVisitor`
MethodVisitorTee.`visitTypeAnnotation(int typeRef, TypePath typePath, String desc, boolean visible)`
Methods in org.springframework.cglib.transform with parameters of type AnnotationVisitor
Modifier and Type
Method
Description
`static AnnotationVisitor`
AnnotationVisitorTee.`getInstance(AnnotationVisitor av1, AnnotationVisitor av2)`
Constructors in org.springframework.cglib.transform with parameters of type AnnotationVisitor
Modifier
Constructor
Description
``
`AnnotationVisitorTee(AnnotationVisitor av1, AnnotationVisitor av2)`